Bug 1270552 - Chromebook Pixel (2015) missing ASoC machine driver for sound
Chromebook Pixel (2015) missing ASoC machine driver for sound
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
: 1221857 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 20:53 EDT by Nicholas Nelson
Modified: 2016-12-20 09:57 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:57:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.txt (17.79 KB, text/plain)
2015-10-17 16:02 EDT, Nicholas Nelson
no flags Details

  None (edit)
Description Nicholas Nelson 2015-10-10 20:53:55 EDT
Description of problem:

The Chromebook Pixel (2015) uses the rt5677 sound driver, but it is not included in the latest kernel modules under Fedora 23 (Beta). The following related message occurs in dmesg during booting:

sst-acpi INT3438:00: No matching ASoC machine driver found

Version-Release number of selected component (if applicable):

Fedora 23 (Beta), latest packages as 2015-10-10
Kernel 4.2.3-300.fc23.x86_64

How reproducible:
Any Chromebook Pixel (2015) should suffer from this issue, since the hardware is standardized for this laptop.

Steps to Reproduce:
1. Run Fedora 23 (Beta) on Chromebook Pixel (2015).
2. Observe dmesg on boot and no sound (or sound output devices available).

Actual results:
No output devices listed in Settings -> Sound -> Output.

Expected results:
Onboard speakers available and listed in the Settings -> Sound -> Output.

Additional info:
The Chromebook Pixel (2015) is also known under the Google product name 'Samus'.
Comment 1 Nicholas Nelson 2015-10-17 16:02 EDT
Created attachment 1083984 [details]
alsa-info.txt

I have attached the ALSA hardware information available from my Chromebook Pixel (2015) in order to provide further details regarding the audio input/output devices currently being shown on a Fedora 23 installation.
Comment 2 Nicholas Nelson 2015-11-05 02:35:19 EST
According to Duncan Laurie at Google, the I2S and RT5677 codec must be updated in order to allow sound to work correctly on the Chromebook Pixel (2015). See his comment here:

https://plus.google.com/+OlofJohansson/posts/1yopVMjEhjK

The above comment was from March 11, 2015, but sound is still non-functional as of Fedora 23 (kernel 4.2.5-300.fc23.x86_64). According to 'aplay -l', which should have bdw-rt5677 if the driver was correctly loaded, the following devices are found:

**** List of PLAYBACK Hardware Devices ****
card 1: HDMI [HDA Intel HDMI], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: HDMI [HDA Intel HDMI], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: HDMI [HDA Intel HDMI], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 3 Dave Maley 2015-11-06 00:01:07 EST
*** Bug 1221857 has been marked as a duplicate of this bug. ***
Comment 4 Nathaniel Nutter 2015-11-19 08:59:07 EST
There is a project to build patched kernels (for Debian and Arch).  I think it's mostly some scripts to generate patches from the upstream Chromium OS kernel source.

https://github.com/raphael/linux-samus
Comment 5 Nicholas Nelson 2015-11-30 21:40:12 EST
As Nathaniel indicated, there are several projects on GitHub that include patched kernels for Ubuntu/Debian and Arch Linux. These projects are generating patches from the Chromium OS kernel source, but it would be extremely helpful if patches were created for Fedora (and possibly Red Hat).

https://github.com/raphael/linux-samus

https://github.com/tsowell/linux-samus

Also, the correct output for 'aplay -l' should be the following (pulled from installation notes in the raphael/linux-samus repo):

**** List of PLAYBACK Hardware Devices ****
card 0: bdwrt5677 [bdw-rt5677], device 0: System Playback (*) []
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: HDMI [HDA Intel HDMI], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: HDMI [HDA Intel HDMI], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: HDMI [HDA Intel HDMI], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 6 Evan McClain 2016-02-22 20:30:36 EST
"upstream" bugreport is here: https://bugs.chromium.org/p/chromium/issues/detail?id=573776

The ASoC driver is a fairly easy forwardport, but as mentioned the codec side of the chromeos kernel has diverged more significantly from mainline.
Comment 7 Dave Maley 2016-03-01 21:44:43 EST
happy to report that a kernel built from the raphael/linux-samus repo has sound working on my Pixel 2 / Fedora 23
Comment 8 James Flowers 2016-03-01 23:13:36 EST
@dave Maley could you please share those steps or how you built the kernel for Fedora? I tired (briefly) on my 2015 pixel and it gave me a number of issues.

Thanks!
Comment 9 Dave Maley 2016-03-04 10:25:06 EST
(In reply to James Flowers from comment #8)
> @dave Maley could you please share those steps or how you built the kernel
> for Fedora? I tired (briefly) on my 2015 pixel and it gave me a number of
> issues.

I just followed the "Other Distributions" installation steps outlined on the raphael/linux-samus readme.

I did however run thru the "Enabling sound step-by-step" bits rather than running the sound.sh script provided.
Comment 10 Laura Abbott 2016-09-23 15:19:15 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 11 Tom Rini 2016-09-23 16:06:32 EDT
This issue is still present in mainline but there are now patches from John Keeping to add the drivers.
Comment 12 Laura Abbott 2016-09-23 16:17:53 EDT
That's good to know. Keep us informed if the drivers are accepted into mainline.
Comment 13 Fedora End Of Life 2016-11-24 07:45:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Tom Rini 2016-11-24 07:57:19 EST
The current status here is that mainline v4.9 will have support out of the box (I've been using / testing the RCs).  So when F25 moves to a 4.9 or later based kernel this can be closed.
Comment 15 Fedora End Of Life 2016-12-20 09:57:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.